<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:import href="FunctionForXsl.xsl"/>
  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

<xsl:template name="SumStr">
		<xsl:param name="SumValue"/>
                <xsl:param name="ABBR"/>
		<xsl:variable name="SumVal1" select="format-number(substring-before(format-number($SumValue,'#.00'),'.'),'#')"/>
		<xsl:variable name="SumVal2">
			<xsl:call-template name='RecurseSumWords'>
				<xsl:with-param name='Value' select='$SumVal1'/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="SumVal3" select="format-number(format-number($SumValue,'#.00')-$SumVal1,'0.00')"/>
		<xsl:choose>
			<xsl:when test="$SumVal3!=0">
				<xsl:value-of select="concat($SumVal2,substring-after(string($SumVal3),'.'),' ',$ABBR)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="concat($SumVal2,$ABBR)"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

  <xsl:template match="INVOICE/INVOICE_ITEM/TotalCost">
    <TotalCost>
      <xsl:value-of select="format-number(sum(//INVOICEGOODS_ITEM/TotalCost), '#########.000')"/>
    </TotalCost>
  </xsl:template>

  <xsl:template match="INVOICE/INVOICE_ITEM/GCost">
    <GCost>
      <xsl:value-of select="format-number(sum(//INVOICEGOODS_ITEM/TotalCost), '#########.000')"/>
    </GCost>
  </xsl:template>

  <xsl:template match="INVOICE/INVOICE_ITEM/PlacesQuantity">
    <PlacesQuantity>
      <xsl:value-of select="format-number(sum(//INVOICEGOODS_ITEM/PlacesQuantity), '#########.000')"/>
    </PlacesQuantity>
  </xsl:template>
  
    <xsl:template match="INVOICE/INVOICE_ITEM/GrossWeightQuantity">
    <GrossWeightQuantity>
      <xsl:value-of select="format-number(sum(//INVOICEGOODS_ITEM/GrossWeightQuantity), '#########.000')"/>
    </GrossWeightQuantity>
  </xsl:template>
  
 <xsl:template match="INVOICE/INVOICE_ITEM/NetWeightQuantity">
    <NetWeightQuantity>
      <xsl:value-of select="format-number(sum(//INVOICEGOODS_ITEM/NetWeightQuantity), '#########.000')"/>
    </NetWeightQuantity>
  </xsl:template>
  
 <xsl:template match="INVOICE/INVOICE_ITEM/TotalSign">
    <TotalSign>
    <xsl:call-template name='SumStr'>
		<xsl:with-param name='SumValue' select="round(sum(//INVOICEGOODS_ITEM/TotalCost) * 100) div 100"/>
                <xsl:with-param name='ABBR' select="//INVOICE_ITEM/CurrencyCode"/>
	</xsl:call-template>
<!--      <xsl:value-of select="round(sum(//INVOICEGOODS_ITEM/TotalCost) * 100) div 100"/>-->
    </TotalSign>
  </xsl:template>

</xsl:stylesheet>
